Skip to Content.
Sympa Menu

sm-commit - [SM-Commit] GIT changes to master quill by Jaka Kranjc (4f8774e6957dcb0d2387321b1dd8fd03386f515a)

sm-commit AT lists.ibiblio.org

Subject: Source Mage code commit list

List archive

Chronological Thread  
  • From: Jaka Kranjc <scm AT mail.sourcemage.org>
  • To: sm-commit AT lists.ibiblio.org
  • Subject: [SM-Commit] GIT changes to master quill by Jaka Kranjc (4f8774e6957dcb0d2387321b1dd8fd03386f515a)
  • Date: Sun, 21 Jan 2007 13:19:10 -0600

GIT changes to master quill by Jaka Kranjc <lynxlynxlynx AT sourcemage.org>:

usr/bin/quill | 9 ++++++---
var/lib/quill/ChangeLog | 1 +
var/lib/quill/modules/libupdate | 2 +-
3 files changed, 8 insertions(+), 4 deletions(-)

New commits:
commit 4f8774e6957dcb0d2387321b1dd8fd03386f515a
Author: Jaka Kranjc <lynxlynxlynx AT sourcemage.org>
Commit: Jaka Kranjc <lynxlynxlynx AT sourcemage.org>

added query to summon failure handling for those rare failed checks

diff --git a/usr/bin/quill b/usr/bin/quill
index 1a2c28f..8107fed 100755
--- a/usr/bin/quill
+++ b/usr/bin/quill
@@ -245,9 +245,12 @@ then
then
message "Nothing new to summon, all sources found."
else
- summon -r <<< "$to_summon" || {
- message "${PROBLEM_COLOR}Summoning failed, aborting
update!$DEFAULT_COLOR"
- continue 2; }
+ if ! summon -r <<< "$to_summon"
+ then
+ message "${PROBLEM_COLOR}Summoning failed, aborting
update!$DEFAULT_COLOR"
+ query "Do you want to edit DETAILS? (you can retry the
update)" n && quill_edit DETAILS
+ continue 2
+ fi
fi
echo

diff --git a/var/lib/quill/ChangeLog b/var/lib/quill/ChangeLog
index bdc5049..49f491a 100644
--- a/var/lib/quill/ChangeLog
+++ b/var/lib/quill/ChangeLog
@@ -3,6 +3,7 @@
added reconfigure query to "Try it out"
skip upstream keys when asking for substitution with hashes
misc gpg and hash changing fixes
+ added query to summon failure handling for those rare failed checks
* libupdate: update history when incrementing patchlevels
simplified get_sources_and_urls
fixed update_patchlevel and made it add the variable if it isn't
there
diff --git a/var/lib/quill/modules/libupdate b/var/lib/quill/modules/libupdate
index 21741c8..0750043 100644
--- a/var/lib/quill/modules/libupdate
+++ b/var/lib/quill/modules/libupdate
@@ -32,7 +32,7 @@ function update_patchlevel()

if [[ -z $current_value ]]
then
- [[ $3 == remove ]] && message "${PROBLEM_COLOR}remove or
add?$DEFAULT_COLOR" && return 1
+ [[ $3 == remove ]] && return
if [[ $2 == skip ]] || query "Do you want to add $1?" ${4:-n}
then
update_patchlevel_sub $1 none add



  • [SM-Commit] GIT changes to master quill by Jaka Kranjc (4f8774e6957dcb0d2387321b1dd8fd03386f515a), Jaka Kranjc, 01/21/2007

Archive powered by MHonArc 2.6.24.

Top of Page